TooN: Matrix decompositions

TooN 2.0.0-beta8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

Classes | Functions
Matrix decompositions

Classes to perform matrix decompositions, used to solve linear equations and provide information about matrices. More...

## Classes
class | Cholesky< Size, Precision >
| Decomposes a positive-semidefinite symmetric matrix A (such as a covariance) into L*D*L^T, where L is lower-triangular and D is diagonal. More...
class | Lapack_Cholesky< Size, Precision >
| Decomposes a positive-semidefinite symmetric matrix A (such as a covariance) into L*L^T, where L is lower-triangular. More...
class | LU< Size, Precision >
| Performs LU decomposition and back substitutes to solve equations. More...
class | QR_Lapack< Rows, Cols, Precision >
| Performs QR decomposition. More...
struct | SQSVD< Size, Precision >
| version of SVD forced to be square princiapally here to allow use in WLS More...
class | SymEigen< Size, Precision >
| Performs eigen decomposition of a matrix. More...
class | GR_SVD< M, N, Precision, WANT_U, WANT_V >
| Performs SVD and back substitute to solve equations. More...
class | SVD< Rows, Cols, Precision >
| Performs SVD and back substitute to solve equations. More...
## Functions
template<int R, int C, class Precision , class Base >
void | gauss_jordan (Matrix< R, C, Precision, Base > &m)

## Detailed Description

Classes to perform matrix decompositions, used to solve linear equations and provide information about matrices.

These are wrappers for functionality provided by the LAPACK library.

## Function Documentation

void TooN::gauss_jordan | ( | Matrix< R, C, Precision, Base > & | m | ) |

Perform Gauss-Jordan reduction on m.

If m is of the form , then after reduction, m will be . There is no restriction on the input, in that the matrix augmenting A does not need to be I, or square. The reduction is performed using elementary row operations and partial pivoting.

Parameters:

  m | The matrix to be reduced.

References Matrix< Rows, Cols, Precision, Layout >::num_cols(), and Matrix< Rows, Cols, Precision, Layout >::num_rows().